// ---------------------------------------------------------------------------
// Programmierung von CAx-Systemen, Klasse für komplexe Zahlen
// 2018-05-15, T. Küpper
// ---------------------------------------------------------------------------

#include <iostream>

class Complex
{
private:
    double re, im;  // Real- und Imaginärteil

public:
    // Konstruktoren...
    Complex();
    Complex(double real);
    Complex(double real, double imag);

    // Zugriff auf Attribute...
    void Set(double real, double imag);
    double Real();
    double Imag();

    // Weitere Methoden...
    double Arg();
    double Argd();
    double Abs();
};

// Freie Funktionen zur Arbeit mit komplexen Zahlen...
Complex operator+ (Complex a, Complex b);
Complex operator- (Complex a, Complex b);
Complex operator* (Complex a, Complex b);
Complex operator/ (Complex a, Complex b);
Complex exp(Complex exponent);
std::ostream& operator<< (std::ostream& strm, Complex c);
std::istream& operator>> (std::istream& strm, Complex& c);
